Package com.collibra.catalog.api.component.classification.model.impl

# Class DataClassDataCategoryConnectionsPagedResponseImpl

Object
DataClassDataCategoryConnectionsPagedResponseImpl

All Implemented Interfaces:
  `DataClassDataCategoryConnectionsPagedResponse`

public class DataClassDataCategoryConnectionsPagedResponseImpl extends Object implements DataClassDataCategoryConnectionsPagedResponse

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `DataClassDataCategoryConnectionsPagedResponseImpl.DataClassDataCategoryConnectionsPagedResponseImplBuilder`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DataClassDataCategoryConnectionsPagedResponseImpl.DataClassDataCategoryConnectionsPagedResponseImplBuilder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `List<DataClassDataCategoryConnection>`
  `getDataClassDataCategoryConnections()`
  Returns the list of associations between a data class and a data category.
  `int`
  `hashCode()`
  `void`
  `setDataClassDataCategoryConnections(List<DataClassDataCategoryConnection> dataClassDataCategoryConnections)`
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### builder

    public static DataClassDataCategoryConnectionsPagedResponseImpl.DataClassDataCategoryConnectionsPagedResponseImplBuilder builder()

  - ### getDataClassDataCategoryConnections

    public List<DataClassDataCategoryConnection> getDataClassDataCategoryConnections()
    Description copied from interface: `DataClassDataCategoryConnectionsPagedResponse`
    Returns the list of associations between a data class and a data category.
    Specified by:
      `getDataClassDataCategoryConnections` in interface `DataClassDataCategoryConnectionsPagedResponse`
    Returns:
      the associations between a data class and a data category

  - ### setDataClassDataCategoryConnections

    public void setDataClassDataCategoryConnections(List<DataClassDataCategoryConnection> dataClassDataCategoryConnections)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`